%global sounds_dir %{_datadir}/asterisk/sounds
%global en_version 1.4.22
%global es_version 1.4.22
%global fr_version 1.4.22
%global en_AU_version 1.4.21
%global ru_version 1.4.21

Name:           asterisk-sounds-core
Version:        1.4.22
Release:        1%{?dist}
Summary:        Core sounds for Asterisk

Group:          Applications/Internet

License:        CC-BY-SA
URL:            http://www.asterisk.org/

Source0:        http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-en-alaw-%{en_version}.tar.gz
Source1:        http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-en-g722-%{en_version}.tar.gz
Source2:        http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-en-g729-%{en_version}.tar.gz
Source3:        http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-en-gsm-%{en_version}.tar.gz
Source4:        http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-en-siren7-%{en_version}.tar.gz
Source5:        http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-en-siren14-%{en_version}.tar.gz
Source6:        http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-en-sln16-%{en_version}.tar.gz
Source7:        http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-en-ulaw-%{en_version}.tar.gz
Source8:        http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-en-wav-%{en_version}.tar.gz

Source10:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-es-alaw-%{es_version}.tar.gz
Source11:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-es-g722-%{es_version}.tar.gz
Source12:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-es-g729-%{es_version}.tar.gz
Source13:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-es-gsm-%{es_version}.tar.gz
Source14:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-es-siren7-%{es_version}.tar.gz
Source15:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-es-siren14-%{es_version}.tar.gz
Source16:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-es-sln16-%{es_version}.tar.gz
Source17:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-es-ulaw-%{es_version}.tar.gz
Source18:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-es-wav-%{es_version}.tar.gz

Source20:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-fr-alaw-%{fr_version}.tar.gz
Source21:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-fr-g722-%{fr_version}.tar.gz
Source22:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-fr-g729-%{fr_version}.tar.gz
Source23:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-fr-gsm-%{fr_version}.tar.gz
Source24:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-fr-siren7-%{fr_version}.tar.gz
Source25:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-fr-siren14-%{fr_version}.tar.gz
Source26:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-fr-sln16-%{fr_version}.tar.gz
Source27:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-fr-ulaw-%{fr_version}.tar.gz
Source28:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-fr-wav-%{fr_version}.tar.gz

Source30:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-en_AU-alaw-%{en_AU_version}.tar.gz
Source31:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-en_AU-g722-%{en_AU_version}.tar.gz
Source32:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-en_AU-g729-%{en_AU_version}.tar.gz
Source33:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-en_AU-gsm-%{en_AU_version}.tar.gz
Source34:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-en_AU-siren7-%{en_AU_version}.tar.gz
Source35:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-en_AU-siren14-%{en_AU_version}.tar.gz
Source36:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-en_AU-sln16-%{en_AU_version}.tar.gz
Source37:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-en_AU-ulaw-%{en_AU_version}.tar.gz
Source38:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-en_AU-wav-%{en_AU_version}.tar.gz

Source40:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-ru-alaw-%{ru_version}.tar.gz
Source41:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-ru-g722-%{ru_version}.tar.gz
Source42:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-ru-g729-%{ru_version}.tar.gz
Source43:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-ru-gsm-%{ru_version}.tar.gz
Source44:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-ru-siren7-%{ru_version}.tar.gz
Source45:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-ru-siren14-%{ru_version}.tar.gz
Source46:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-ru-sln16-%{ru_version}.tar.gz
Source47:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-ru-ulaw-%{ru_version}.tar.gz
Source48:       http://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-core-sounds-ru-wav-%{ru_version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  rpm >= 4.7.2-2

%description
Core sound files for Asterisk.

%package en
Summary: Core English sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0

%description en
Core English sound files for Asterisk.

%package en-alaw
Summary: Core English ALAW sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-en = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description en-alaw
Core English ALAW sound files for Asterisk.

%package en-g722
Summary: Core English G.722 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-en = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description en-g722
Core English G.722 sound files for Asterisk.

%package en-g729
Summary: Core English G.729 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-en = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description en-g729
Core English G.729 sound files for Asterisk.

%package en-gsm
Summary: Core English GSM sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-en = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description en-gsm
Core English GSM sound files for Asterisk.

%package en-siren7
Summary: Core English Siren7 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-en = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description en-siren7
Core English Siren7 sound files for Asterisk.

%package en-siren14
Summary: Core English GSM sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-en = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description en-siren14
Core English Siren14 sound files for Asterisk.

%package en-sln16
Summary: Core English SLN16 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-en = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description en-sln16
Core English SLN16 sound files for Asterisk.

%package en-ulaw
Summary: Core English ULAW sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-en = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description en-ulaw
Core English ULAW sound files for Asterisk.

%package en-wav
Summary: Core English WAV sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-en = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description en-wav
Core English WAV sound files for Asterisk.

%package es
Summary: Core Spanish sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0

%description es
Core Spanish sound files for Asterisk.

%package es-alaw
Summary: Core Spanish ALAW sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-es = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description es-alaw
Core Spanish ALAW sound files for Asterisk.

%package es-g722
Summary: Core Spanish G.722 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-es = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description es-g722
Core Spanish G.722 sound files for Asterisk.

%package es-g729
Summary: Core Spanish G.729 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-es = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description es-g729
Core Spanish G.729 sound files for Asterisk.

%package es-gsm
Summary: Core Spanish GSM sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-es = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description es-gsm
Core Spanish GSM sound files for Asterisk.

%package es-siren7
Summary: Core Spanish Siren7 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-es = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description es-siren7
Core Spanish Siren7 sound files for Asterisk.

%package es-siren14
Summary: Core Spanish Siren14 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-es = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description es-siren14
Core Spanish Siren14 sound files for Asterisk.

%package es-sln16
Summary: Core Spanish SLN16 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-es = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description es-sln16
Core Spanish SLN16 sound files for Asterisk.

%package es-ulaw
Summary: Core Spanish ULAW sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-es = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description es-ulaw
Core Spanish ULAW sound files for Asterisk.

%package es-wav
Summary: Core Spanish WAV sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-es = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description es-wav
Core Spanish WAV sound files for Asterisk.

%package fr
Summary: Core French sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0

%description fr
Core French sound files for Asterisk.

%package fr-alaw
Summary: Core French ALAW sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-fr = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description fr-alaw
Core French ALAW sound files for Asterisk.

%package fr-g722
Summary: Core French G.722 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-fr = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description fr-g722
Core French G.722 sound files for Asterisk.

%package fr-g729
Summary: Core French G.729 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-fr = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description fr-g729
Core French G.729 sound files for Asterisk.

%package fr-gsm
Summary: Core French GSM sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-fr = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description fr-gsm
Core French GSM sound files for Asterisk.

%package fr-siren7
Summary: Core French Siren7 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-fr = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description fr-siren7
Core French Siren7 sound files for Asterisk.

%package fr-siren14
Summary: Core French Siren14 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-fr = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description fr-siren14
Core French Siren14 sound files for Asterisk.

%package fr-sln16
Summary: Core French SLN16 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-fr = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description fr-sln16
Core French SLN16 sound files for Asterisk.

%package fr-ulaw
Summary: Core French ULAW sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-fr = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description fr-ulaw
Core French ULAW sound files for Asterisk.

%package fr-wav
Summary: Core French WAV sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-fr = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description fr-wav
Core French WAV sound files for Asterisk.

%package en_AU
Summary: Core English (Australian) sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0

%description en_AU
Core English (Australian) sound files for Asterisk.

%package en_AU-alaw
Summary: Core English (Australian) ALAW sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-en_AU = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description en_AU-alaw
Core English (Australian) ALAW sound files for Asterisk.

%package en_AU-g722
Summary: Core English (Australian) G.722 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-en_AU = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description en_AU-g722
Core English (Australian) G.722 sound files for Asterisk.

%package en_AU-g729
Summary: Core English (Australian) G.729 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-en_AU = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description en_AU-g729
Core English (Australian) G.729 sound files for Asterisk.

%package en_AU-gsm
Summary: Core English (Australian) GSM sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-en_AU = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description en_AU-gsm
Core English (Australian) GSM sound files for Asterisk.

%package en_AU-siren7
Summary: Core English (Australian) Siren7 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-en_AU = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description en_AU-siren7
Core English (Australian) Siren7 sound files for Asterisk.

%package en_AU-siren14
Summary: Core English (Australian) Siren14 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-en_AU = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description en_AU-siren14
Core English (Australian) Siren14 sound files for Asterisk.

%package en_AU-sln16
Summary: Core English (Australian) SLN16 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-en_AU = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description en_AU-sln16
Core English (Australian) SLN16 sound files for Asterisk.

%package en_AU-ulaw
Summary: Core English (Australian) ULAW sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-en_AU = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description en_AU-ulaw
Core English (Australian) ULAW sound files for Asterisk.

%package en_AU-wav
Summary: Core English (Australian) WAV sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-en_AU = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description en_AU-wav
Core English (Australian) WAV sound files for Asterisk.

%package ru
Summary: Core English (Australian) sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0

%description ru
Core Russian sound files for Asterisk.

%package ru-alaw
Summary: Core Russian ALAW sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-ru = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description ru-alaw
Core Russian ALAW sound files for Asterisk.

%package ru-g722
Summary: Core Russian G.722 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-ru = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description ru-g722
Core Russian G.722 sound files for Asterisk.

%package ru-g729
Summary: Core Russian G.729 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-ru = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description ru-g729
Core Russian G.729 sound files for Asterisk.

%package ru-gsm
Summary: Core Russian GSM sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-ru = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description ru-gsm
Core Russian GSM sound files for Asterisk.

%package ru-siren7
Summary: Core Russian Siren7 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-ru = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description ru-siren7
Core Russian Siren7 sound files for Asterisk.

%package ru-siren14
Summary: Core Russian Siren14 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-ru = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description ru-siren14
Core Russian Siren14 sound files for Asterisk.

%package ru-sln16
Summary: Core Russian SLN16 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-ru = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description ru-sln16
Core Russian SLN16 sound files for Asterisk.

%package ru-ulaw
Summary: Core Russian ULAW sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-ru = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description ru-ulaw
Core Russian ULAW sound files for Asterisk.

%package ru-wav
Summary: Core Russian WAV sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-ru = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description ru-wav
Core Russian WAV sound files for Asterisk.

%prep

%setup -c -T 

%build

for file in %{S:0} %{S:1} %{S:2} %{S:3} %{S:4} %{S:5} %{S:6} %{S:7} %{S:8}
do
  tar --list --file $file | grep -E '.(alaw|g722|g729|gsm|siren7|siren14|sln16|ulaw|wav)$' | sed -e 's!^!%{sounds_dir}/!' > `basename $file .tar.gz`.list
  tar --extract --directory . --file $file
done

mkdir es

for file in %{S:10} %{S:11} %{S:12} %{S:13} %{S:14} %{S:15} %{S:16} %{S:17} %{S:18}
do
  tar --list --file $file | grep -E '.(alaw|g722|g729|gsm|siren7|siren14|sln16|ulaw|wav)$' | sed -e 's!^!%{sounds_dir}/es/!' > `basename $file .tar.gz`.list
  tar --extract --directory ./es/ --file $file
done

mkdir fr

for file in %{S:20} %{S:21} %{S:22} %{S:23} %{S:24} %{S:25} %{S:26} %{S:27} %{S:28}
do
  tar --list --file $file | grep -E '.(alaw|g722|g729|gsm|siren7|siren14|sln16|ulaw|wav)$' | sed -e 's!^!%{sounds_dir}/fr/!' > `basename $file .tar.gz`.list
  tar --extract --directory ./fr/  --file $file
done

iconv -f iso-8859-1 -t utf-8 < fr/core-sounds-fr.txt > fr/core-sounds-fr.txt.tmp
touch --reference fr/core-sounds-fr.txt fr/core-sounds-fr.txt.tmp
mv fr/core-sounds-fr.txt.tmp fr/core-sounds-fr.txt

mkdir en_AU

for file in %{S:30} %{S:31} %{S:32} %{S:33} %{S:34} %{S:35} %{S:36} %{S:37} %{S:38}
do
  tar --list --file $file | grep -E '.(alaw|g722|g729|gsm|siren7|siren14|sln16|ulaw|wav)$' | sed -e 's!^!%{sounds_dir}/en_AU/!' > `basename $file .tar.gz`.list
  tar --extract --directory ./en_AU/  --file $file
done

mkdir ru

for file in %{S:40} %{S:41} %{S:42} %{S:43} %{S:44} %{S:45} %{S:46} %{S:47} %{S:48}
do
  tar --list --file $file | grep -E '.(alaw|g722|g729|gsm|siren7|siren14|sln16|ulaw|wav)$' | sed -e 's!^!%{sounds_dir}/ru/!' > `basename $file .tar.gz`.list
  tar --extract --directory ./ru/  --file $file
done

%install
rm -rf %{buildroot}

#mkdir -p %{buildroot}%{sounds_dir}
#mkdir -p %{buildroot}%{sounds_dir}/es
#mkdir -p %{buildroot}%{sounds_dir}/fr
#mkdir -p %{buildroot}%{sounds_dir}/en_AU
#mkdir -p %{buildroot}%{sounds_dir}/ru

for file in `cat *.list | sed -e 's!^%{sounds_dir}/!!'`
do
        mkdir -p %{buildroot}%{sounds_dir}/`dirname $file`
        cp -p $file %{buildroot}%{sounds_dir}/$file
done

%clean
rm -rf %{buildroot}

%files en
%defattr(-,root,root,-)
%doc core-sounds-en.txt
%doc CHANGES-asterisk-core-en-%{en_version}
%doc CREDITS-asterisk-core-en-%{en_version}
%doc LICENSE-asterisk-core-en-%{en_version}
%dir %{sounds_dir}/dictate/
%dir %{sounds_dir}/digits/
%dir %{sounds_dir}/followme/
%dir %{sounds_dir}/letters/
%dir %{sounds_dir}/phonetic/

%files en-alaw -f asterisk-core-sounds-en-alaw-%{en_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-alaw-%{en_version}.list

%files en-g722 -f asterisk-core-sounds-en-g722-%{en_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-g722-%{en_version}.list

%files en-g729 -f asterisk-core-sounds-en-g729-%{en_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-g729-%{en_version}.list

%files en-gsm -f asterisk-core-sounds-en-gsm-%{en_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-gsm-%{en_version}.list

%files en-siren7 -f asterisk-core-sounds-en-siren7-%{en_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-siren7-%{en_version}.list

%files en-siren14 -f asterisk-core-sounds-en-siren14-%{en_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-gsm-%{en_version}.list

%files en-sln16 -f asterisk-core-sounds-en-sln16-%{en_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-sln16-%{en_version}.list

%files en-ulaw -f asterisk-core-sounds-en-ulaw-%{en_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-ulaw-%{en_version}.list

%files en-wav -f asterisk-core-sounds-en-wav-%{en_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-wav-%{en_version}.list

%files es
%defattr(-,root,root,-)
%doc es/core-sounds-es.txt
%doc es/CHANGES-asterisk-core-es-%{es_version}
%doc es/CREDITS-asterisk-core-es-%{es_version}
%doc es/LICENSE-asterisk-core-es-%{es_version}
%dir %{sounds_dir}/es/
%dir %{sounds_dir}/es/dictate/
%dir %{sounds_dir}/es/digits/
%dir %{sounds_dir}/es/followme/
%dir %{sounds_dir}/es/letters/
%dir %{sounds_dir}/es/phonetic/

%files es-alaw -f asterisk-core-sounds-es-alaw-%{es_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-es-alaw-%{es_version}.list

%files es-g722 -f asterisk-core-sounds-es-g722-%{es_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-es-g722-%{es_version}.list

%files es-g729 -f asterisk-core-sounds-es-g729-%{es_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-es-g729-%{es_version}.list

%files es-gsm -f asterisk-core-sounds-es-gsm-%{es_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-es-gsm-%{es_version}.list

%files es-siren7 -f asterisk-core-sounds-es-siren7-%{es_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-es-siren7-%{es_version}.list

%files es-siren14 -f asterisk-core-sounds-es-siren14-%{es_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-es-siren14-%{es_version}.list

%files es-sln16 -f asterisk-core-sounds-es-sln16-%{es_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-es-sln16-%{es_version}.list

%files es-ulaw -f asterisk-core-sounds-es-ulaw-%{es_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-es-ulaw-%{es_version}.list

%files es-wav -f asterisk-core-sounds-es-wav-%{es_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-es-wav-%{es_version}.list

%files fr
%defattr(-,root,root,-)
%doc fr/core-sounds-fr.txt
%doc fr/CHANGES-asterisk-core-fr-%{fr_version}
%doc fr/CREDITS-asterisk-core-fr-%{fr_version}
%doc fr/LICENSE-asterisk-core-fr-%{fr_version}
%dir %{sounds_dir}/fr/
%dir %{sounds_dir}/fr/dictate/
%dir %{sounds_dir}/fr/digits/
%dir %{sounds_dir}/fr/followme/
%dir %{sounds_dir}/fr/letters/
%dir %{sounds_dir}/fr/phonetic/

%files fr-alaw -f asterisk-core-sounds-fr-alaw-%{fr_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-fr-alaw-%{fr_version}.list

%files fr-g722 -f asterisk-core-sounds-fr-g722-%{fr_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-fr-g722-%{fr_version}.list

%files fr-g729 -f asterisk-core-sounds-fr-g729-%{fr_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-fr-g729-%{fr_version}.list

%files fr-gsm -f asterisk-core-sounds-fr-gsm-%{fr_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-fr-gsm-%{fr_version}.list

%files fr-siren7 -f asterisk-core-sounds-fr-siren7-%{fr_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-fr-siren7-%{fr_version}.list

%files fr-siren14 -f asterisk-core-sounds-fr-siren14-%{fr_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-fr-siren14-%{fr_version}.list

%files fr-sln16 -f asterisk-core-sounds-fr-sln16-%{fr_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-fr-sln16-%{fr_version}.list

%files fr-ulaw -f asterisk-core-sounds-fr-ulaw-%{fr_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-fr-ulaw-%{fr_version}.list

%files fr-wav -f asterisk-core-sounds-fr-wav-%{fr_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-fr-wav-%{fr_version}.list

%files en_AU
%defattr(-,root,root,-)
%doc en_AU/core-sounds-en_AU.txt
%doc en_AU/CHANGES-asterisk-core-en_AU-%{en_AU_version}
%doc en_AU/CREDITS-asterisk-core-en_AU-%{en_AU_version}
%doc en_AU/LICENSE-asterisk-core-en_AU-%{en_AU_version}
%dir %{sounds_dir}/en_AU/
%dir %{sounds_dir}/en_AU/dictate/
%dir %{sounds_dir}/en_AU/digits/
%dir %{sounds_dir}/en_AU/followme/
%dir %{sounds_dir}/en_AU/letters/
%dir %{sounds_dir}/en_AU/phonetic/

%files en_AU-alaw -f asterisk-core-sounds-en_AU-alaw-%{en_AU_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en_AU-alaw-%{en_AU_version}.list

%files en_AU-g722 -f asterisk-core-sounds-en_AU-g722-%{en_AU_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en_AU-g722-%{en_AU_version}.list

%files en_AU-g729 -f asterisk-core-sounds-en_AU-g729-%{en_AU_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en_AU-g729-%{en_AU_version}.list

%files en_AU-gsm -f asterisk-core-sounds-en_AU-gsm-%{en_AU_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en_AU-gsm-%{en_AU_version}.list

%files en_AU-siren7 -f asterisk-core-sounds-en_AU-siren7-%{en_AU_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en_AU-siren7-%{en_AU_version}.list

%files en_AU-siren14 -f asterisk-core-sounds-en_AU-siren14-%{en_AU_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en_AU-siren14-%{en_AU_version}.list

%files en_AU-sln16 -f asterisk-core-sounds-en_AU-sln16-%{en_AU_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en_AU-sln16-%{en_AU_version}.list

%files en_AU-ulaw -f asterisk-core-sounds-en_AU-ulaw-%{en_AU_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en_AU-ulaw-%{en_AU_version}.list

%files en_AU-wav -f asterisk-core-sounds-en_AU-wav-%{en_AU_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en_AU-wav-%{en_AU_version}.list

%files ru
%defattr(-,root,root,-)
%doc ru/core-sounds-ru.txt
%doc ru/CHANGES-asterisk-core-ru-%{ru_version}
%dir %{sounds_dir}/ru/
%dir %{sounds_dir}/ru/dictate/
%dir %{sounds_dir}/ru/digits/
%dir %{sounds_dir}/ru/followme/
%dir %{sounds_dir}/ru/letters/
%dir %{sounds_dir}/ru/phonetic/

%files ru-alaw -f asterisk-core-sounds-ru-alaw-%{ru_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-ru-alaw-%{ru_version}.list

%files ru-g722 -f asterisk-core-sounds-ru-g722-%{ru_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-ru-g722-%{ru_version}.list

%files ru-g729 -f asterisk-core-sounds-ru-g729-%{ru_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-ru-g729-%{ru_version}.list

%files ru-gsm -f asterisk-core-sounds-ru-gsm-%{ru_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-ru-gsm-%{ru_version}.list

%files ru-siren7 -f asterisk-core-sounds-ru-siren7-%{ru_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-ru-siren7-%{ru_version}.list

%files ru-siren14 -f asterisk-core-sounds-ru-siren14-%{ru_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-ru-siren14-%{ru_version}.list

%files ru-sln16 -f asterisk-core-sounds-ru-sln16-%{ru_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-ru-sln16-%{ru_version}.list

%files ru-ulaw -f asterisk-core-sounds-ru-ulaw-%{ru_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-ru-ulaw-%{ru_version}.list

%files ru-wav -f asterisk-core-sounds-ru-wav-%{ru_version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-ru-wav-%{ru_version}.list

%changelog
* Wed Oct 12 2011 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.22-1
- Update to 1.4.22
- Add some macros to allow different languages to be at different versions

* Tue Jun 28 2011 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.21-1
- Add Russian (ru) sounds

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct 18 2010 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.20-1
- Update to 1.4.20
- Add en_AU sounds

* Tue Aug  3 2010 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.19-1
- Update to 1.4.19

* Fri Dec  4 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.16-3
- Add fr/1.g729 back and build with new version of RPM.

* Mon Nov  2 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.16-2
- Remove fr/1.g729 as it's triggering an error in magic_file(3) (BZ#532489)

* Mon Oct  5 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.16-1
- Update to 1.4.16.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr  8 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.15-1
- Update to new release of sounds.
- Add sounds encoded with siren7 and siren14.

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.14-1
- Add dist tag back in.

* Fri Jan 30 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.14-1
- First version for Fedora
